Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-once
Version:        1.3.3
Release:        alt1_8
Summary:        Run a function exactly one time
BuildArch:      noarch

License:        BSD
URL:            https://github.com/isaacs/once
Source0:        https://registry.npmjs.org/once/-/once-%{version}.tgz

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
Run a function exactly one time.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/once
cp -pr package.json once.js %{buildroot}%{nodejs_sitelib}/once

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/once
%doc README.md
%doc --no-dereference LICENSE

%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_8
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_6
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_5
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_3
- initial import

